# decal - a simple calendar with caldav events

This is a calendar app which tries to bring something new to the functionality of GNU project's `cal` tool. It allows one to use the CalDAV protocol to sync and create events (and, potentially, tasks) and view them as if it was GNU's `cal` but with colorcoded events.

# State of the project

This project is currently very WIP, the todo list is:

- [ ] Basic decal functionality (receiving events and showing a tagged calendar)
- [ ] Event details
- [ ] Creating events
- [ ] Modifying events
- [ ] Task lists
- [ ] Task lists as calendar tags (maybe?)
- [ ] Creating, modifying, removing, completing tasks
- [ ] Offline caching
- [ ] JSON export

# Dependencies
```
pip install caldav
```

